AG_MOUSEBUTTON(3)

NAME
AG_MouseButton - agar mouse button definitions

SYNOPSIS

    #include <agar/core.h>
    #include <agar/gui.h>

DESCRIPTION
The AG_MouseButton type describes a mouse button (or a combination of mouse buttons):

    typedef enum ag_mouse_button {
    	AG_MOUSE_NONE		= 0x00,
    	AG_MOUSE_LEFT		= 0x01,
    	AG_MOUSE_MIDDLE		= 0x02,
    	AG_MOUSE_RIGHT		= 0x03,
    	AG_MOUSE_WHEELUP	= 0x04,
    	AG_MOUSE_WHEELDOWN	= 0x05,
    	AG_MOUSE_X1		= 0x06,
    	AG_MOUSE_X2		= 0x07,
    	AG_MOUSE_ANY		= 0xff
    } AG_MouseButton;

SEE ALSO
AG_Intro(3), AG_Keyboard(3), AG_Widget(3), AG_Window(3)

HISTORY
The AG_MouseButton type first appeared in Agar 1.4.